cordova.define("com.zxbg.callshow.CallShow", function(require, exports, module) {
var exec = require('cordova/exec');

var CallShow = function () {};

CallShow.prototype.init = function (success, error) {
    exec(success, error, 'CallShow', 'init', []);
};

CallShow.prototype.setCustomerData = function (custdata, success, error) {
    exec(success, error, 'CallShow', 'setCustomerData', [custdata]);
};

CallShow.prototype.callshow = function (success, error) {
    exec(success, error, 'CallShow', 'callshow', []);
};

CallShow.prototype.dismiss = function (success, error) {
    exec(success, error, 'CallShow', 'dismiss', []);
};

CallShow.prototype.moveTaskToFront = function (success, error) {
    exec(success, error, 'CallShow', 'moveTaskToFront', []);
};

CallShow.prototype.calllistener = function (data) {
    try{
        var json_str = JSON.stringify(data);
        var rsm = JSON.parse(json_str);
        cordova.fireDocumentEvent('callshow.calllistener',rsm);
    }catch (e) {
        console.log("CallShow.calllistener:JSON解析失败！");
    }
}

if (!window.plugins) {
    window.plugins = {};
}

if (!window.plugins.CallShow) {
    window.plugins.CallShow = new CallShow();
}

module.exports = new CallShow();

});
